Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161884 - make build should not commit if nvr is not tagged
Summary: make build should not commit if nvr is not tagged
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: cvs
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 03:50 UTC by Jens Petersen
Modified: 2007-04-18 17:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 17:02:58 UTC


Attachments (Terms of Use)

Description Jens Petersen 2005-06-28 03:50:35 UTC
Description of problem:
Current "make build" commits build request to tobuild
even when the current package files have not been tagged
with "make tag".  This has hit me a number of times after
importing packages into Extras.

How reproducible:
every time

Steps to Reproduce:
1. import srpm into extras cvs
2. make build
  
Actual results:
2. Mail from buildsystem saying "no such tag".

Expected results:
2. Build request not committed to tobuild with error "no such tag".

Additional info:
This is further exasperated by subsequent build requests (once tagged)
being "ignored" by the buildsystem seemingly until the tobuild file gets
cleaned up...

Comment 1 Jeremy Katz 2005-06-28 17:02:58 UTC
Added a check.

Comment 2 Jens Petersen 2005-06-30 13:17:53 UTC
Thanks a lot.  Works great. :-)


Note You need to log in before you can comment on or make changes to this bug.